#!/system/bin/sh
SDK=$(echo $(getprop ro.build.version.sdk))
echo "sdk_int: $SDK"
O=26

if [ $SDK -lt $O ]; then
    PS_ARGS=""
else
    PS_ARGS="-A"
fi

set a=`ps $PS_ARGS | grep com.android.adnap:daemon`;
if [ $2 ]; then
    echo "kill daemon"
    kill $2
    kill -9 $2
fi

set a=`ps $PS_ARGS | grep com.panda.gamepad:i`;
if [ $2 ]; then
    echo "kill gamepad:i"
    kill $2
    kill -9 $2
fi

set a=`ps $PS_ARGS | grep com.panda.mouse:i`;
if [ $2 ]; then
    echo "kill mouse:i"
    kill $2
    kill -9 $2
fi

set a=`ps $PS_ARGS | grep com.panda.touch:i`;
if [ $2 ]; then
    echo "kill touch:i"
    kill $2
    kill -9 $2
fi

TMP_PATH=/data/local/tmp/2

sleep 1

settings put global block_untrusted_touches 0

APP_PROCESS="app_process"

if [ -e $TMP_PATH/com.panda.gamepadinject.dex ]; then
    (nohup $APP_PROCESS -Djava.class.path=$TMP_PATH/com.panda.gamepadinject.dex $TMP_PATH/ com.chaozhuo.gameassistant.inject.InjectService > /dev/null 2>&1 &)
fi

if [ -e $TMP_PATH/com.panda.mouseinject.dex ]; then
    (nohup $APP_PROCESS -Djava.class.path=$TMP_PATH/com.panda.mouseinject.dex $TMP_PATH/ com.chaozhuo.gameassistant.inject.InjectService > /dev/null 2>&1 &)
fi

if [ -e $TMP_PATH/com.panda.touchinject.dex ]; then
    (nohup $APP_PROCESS -Djava.class.path=$TMP_PATH/com.panda.touchinject.dex $TMP_PATH/ com.chaozhuo.gameassistant.inject.InjectService > /dev/null 2>&1 &)
fi

sleep 1
echo "Done"